package com.bocloud.cmp.model;

import lombok.Data;

@Data
public class TagModel {
	private String key;
	private String value;
	private String resourceId;
	private String resourceType;

	public TagModel() {

	}

	public TagModel(String key, String value) {
		super();
		this.key = key;
		this.value = value;
	}

	public TagModel(String key, String value, String resourceId) {
		super();
		this.key = key;
		this.value = value;
		this.resourceId = resourceId;
	}

	public TagModel(String key, String value, String resourceId, String resourceType) {
		this.key = key;
		this.value = value;
		this.resourceId = resourceId;
		this.resourceType = resourceType;
	}
}